## umbrello 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

project(umbrello)

if(POLICY CMP0028)
    cmake_policy(SET CMP0028 OLD)
endif()

if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
endif()

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(UMBRELLO_VERSION_MAJOR "2")
set(UMBRELLO_VERSION_MINOR "37")
if (RELEASE_SERVICE_VERSION_MICRO GREATER_EQUAL 70)
    math(EXPR UMBRELLO_VERSION_MINOR "${UMBRELLO_VERSION_MINOR}-1")
endif()

set(UMBRELLO_VERSION_PATCH ${RELEASE_SERVICE_VERSION_MICRO})

option(BUILD_APIDOC "Create api documentation" ON)

option(BUILD_ICONS "Create icons from svg source" OFF)

option(BUILD_CURSOR_ICONS "Create cursor icons from svg source" OFF)

option(BUILD_ICONS_INTO_SIZE_RELATED_DIRS "place icons into separate directories (for debugging purpose)" OFF)

option(BUILD_KF5 "Build for KDE Frameworks 5" ON)

option(BUILD_PHP_IMPORT "Build with php import support" ON)

option(BUILD_QCH "Build with QCH support" ON)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
include(Macros)

set(CMAKE_AUTORCC ON)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fno-delete-null-pointer-checks")
    # TODO: after removing kdelibs4support this could also be removed
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif()

if(NOT BUILD_KF5)
    if(CMAKE_COMPILER_IS_GNUCXX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    endif()

    set(APP_SUFFIX)
    set(LIB_PREFIX Qt4::Qt)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    include(ECMKDE4Macros)
    set(QT_MIN_VERSION "4.8.0")
    set(KDEV_MIN_VERSION 1.7.3)
    set(KDEV_SOURCE_DIR lib/kdev4-php)
    set(KDEV_COMPONENTS)
    set(QTQCHDIR ${QT_DOC_DIR}/qch)
else()
    cmake_minimum_required(VERSION 3.8 FATAL_ERROR)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_STANDARD_REQUIRED YES)

    set(APP_SUFFIX 5)
    set(LIB_PREFIX Qt5::)
    # we need some parts of the ECM CMake helpers
    find_package(ECM 1.1.0 REQUIRED NO_MODULE)
    list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

    include(KDEInstallDirs)
    include(KDECompilerSettings NO_POLICY_SCOPE)
    include(KDECMakeSettings)
    include(FeatureSummary)
    include(ECMInstallIcons)
    include(ECMSetupVersion)
    include(ECMOptionalAddSubdirectory)
    include(ECMAddAppIcon)
    include(ECMAddTests)
    set(QT_MIN_VERSION "5.2.0")
    set(KDEV_MIN_VERSION 5.1.2)
    set(KDEV_SOURCE_DIR lib/kdev5-php)
    set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
    if(NOT QTQCHDIR)
        set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
    endif()
endif()

# search packages used by Qt
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    PrintSupport
    Svg
    Test
    Widgets
    Xml
)

find_package(Qt5WebKitWidgets ${QT_MIN_VERSION})
if(Qt5WebKitWidgets_FOUND)
    add_definitions(-DWEBKIT_WELCOMEPAGE)
    set(WEBKIT_WELCOMEPAGE 1)
endif()

# search packages used by KDE
find_package(KF5 REQUIRED COMPONENTS
    Archive
    Completion
    Config
    CoreAddons
    Crash
    DocTools
    I18n
    IconThemes
    KDELibs4Support
    KIO
    TextEditor
    WidgetsAddons
    WindowSystem
    XmlGui
)

if(CMAKE_COMPILER_IS_GNUCXX)
    string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
endif()

if(BUILD_PHP_IMPORT)
    find_package(KDevelop-PG-Qt)
    find_package(KDevPlatform ${KDEV_MIN_VERSION} COMPONENTS ${KDEV_COMPONENTS})
endif()
if(KDEVPGQT_FOUND AND KDEVPLATFORM_FOUND)
    message(STATUS "requirements available - enable building php code import")
    include_directories(
        ${KDEVPGQT_INCLUDE_DIR}
        ${KDEVPLATFORM_INCLUDE_DIR}
    )
    set(BUILD_PHP_IMPORT 1)
    add_definitions(
        -DENABLE_PHP_IMPORT
    )
    add_subdirectory(lib/kdevplatform)
    find_package(KDevPHP)
    if(NOT KDevPHP_FOUND)
        set(NO_INSTALL 1)
        set(BUILD_PARSER_ONLY 1)
        set(BUILD_PHP_IMPORT 1)
        add_definitions(
            -DKDEVPHPPARSER_EXPORT=
        )
        include_directories(
            ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}
            ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}
        )
        add_subdirectory(${KDEV_SOURCE_DIR})
    endif()
else()
    set(BUILD_PHP_IMPORT 0)
endif()

set(UMBRELLO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/umbrello${APP_SUFFIX})

if(NOT BUILD_KF5)
    macro_display_feature_log()
    KDE4_NO_ENABLE_FINAL(umbrello)
else()
    set(BUILD_UNITTESTS 1)

    ki18n_install(po)
    kdoctools_install(po)
endif()

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 OLD)
endif()

# use some compile flags
add_definitions(
    -DQT_NO_SIGNAL_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
)

# set default umbrello version
# umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch
if(NOT UMBRELLO_VERSION_STRING)
    set(UMBRELLO_VERSION_STRING "${UMBRELLO_VERSION_MAJOR}.${UMBRELLO_VERSION_MINOR}.${UMBRELLO_VERSION_PATCH}")
    if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
        execute_process(
            COMMAND git rev-parse --short HEAD
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE _hash
        )
        if(_hash)
           string(REPLACE "\n" "" hash ${_hash})
           set(UMBRELLO_VERSION_STRING "${UMBRELLO_VERSION_STRING}-${hash}")
        endif()
    endif()
endif()
set(APPLICATIONS_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

message(STATUS "Using umbrello version ${UMBRELLO_VERSION_STRING}")
add_definitions(-DUMBRELLO_VERSION_STRING="${UMBRELLO_VERSION_STRING}")
add_definitions(-DAPPLICATIONS_VERSION_STRING="${APPLICATIONS_VERSION_STRING}")

message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
message(STATUS "Using cmake version ${CMAKE_VERSION}")
message(STATUS "Using Qt version ${QTVERSION}")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
    DESCRIPTION "A library to transform XMLfiles into other XML files."
    URL "http://xmlsoft.org/XSLT"
    TYPE REQUIRED)

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
    DESCRIPTION "Libraries used to develop XML applications."
    URL "http://xmlsoft.org"
    TYPE REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}
)

#
# Unstable features should not be enabled in stable branches
# This macro limits unstable feature to development branches
# by only adding -DENABLE_<name> to the compile command when
# the patch level is >= 70 which includes releases from master
# beta and rc releases. On cmake configure time a related status
# note is displayed.
#
# syntax:  add_unstable_feature(<name>)
#
# In code wrap feature related code with
#
#  #ifdef ENABLE_<name>
#    <feature code>
#  #endif
#
macro(add_unstable_feature name)
    if(UMBRELLO_VERSION_PATCH GREATER 69)
        add_definitions(-DENABLE_${name})
        set(ENABLE_${name} 1)
        message(STATUS "Enable unstable feature ${name} - use '#ifdef ENABLE_${name}' in related code")
    else()
        set(ENABLE_${name} 0)
        message(STATUS "Disable unstable feature ${name}")
    endif()
endmacro(add_unstable_feature)

add_unstable_feature(WIDGET_SHOW_DOC) # show documentation in classes ticket xxx
add_unstable_feature(NEW_CODE_GENERATORS) # new c++ code generator
add_unstable_feature(UML_OBJECTS_WINDOW) # objects dock window
add_unstable_feature(XMIRESOLUTION) # see https://bugs.kde.org/show_bug.cgi?id=90103
add_unstable_feature(COMBINED_STATE_DIRECT_EDIT) # experimental feature

# Current object diagram implementation does not follow UML 1.4 standard
# because of using umbrello specific XMI tag (UML:InstanceAttribute).
add_unstable_feature(OBJECT_DIAGRAM) # see https://bugs.kde.org/show_bug.cgi?id=123633

# requires cmake >= 3.9.6
find_package(Doxygen OPTIONAL_COMPONENTS dot)
if(DOXYGEN_FOUND AND BUILD_APIDOC)
    message(STATUS "found doxygen package")
    find_program(QHELPGENERATOR_EXECUTABLE NAMES qhelpgenerator qhelpgenerator-qt5)
    message(STATUS "found qhelpgenerator ${QHELPGENERATOR_EXECUTABLE}")
    set(DOXYGEN_ABBREVIATE_BRIEF "The $name class" "The $name widget")
    set(DOXYGEN_CALL_GRAPH YES)
    set(DOXYGEN_EXCLUDE_PATTERNS */lib/*)
    set(DOXYGEN_EXTRACT_ALL YES)
    set(DOXYGEN_EXTRACT_PACKAGE YES)
    set(DOXYGEN_EXTRACT_PRIVATE YES)
    set(DOXYGEN_EXTRACT_STATIC YES)
    set(DOXYGEN_GENERATE_HTMLHELP YES)
    set(DOXYGEN_HAVE_DOT ${DOXYGEN_HAVE_DOT})
    set(DOXYGEN_DOT_IMAGE_FORMAT svg)
    set(DOXYGEN_MARKDOWN_SUPPORT NO)
    set(DOT_GRAPH_MAX_NODES 0)
    set(DOXYGEN_MAX_DOT_GRAPH_DEPTH 0)
    set(DOXYGEN_PROJECT_BRIEF "Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology")
    set(DOXYGEN_PROJECT_NUMBER ${UMBRELLO_VERSION_STRING})
    #set(DOXYGEN_PROJECT_LOGO ${CMAKE_SOURCE_DIR}/umbrello/pics/global/hi32-apps-umbrello.png)
    set(DOXYGEN_SOURCE_BROWSER NO)
    set(DOXYGEN_UML_LOOK YES)
    set(DOXYGEN_USE_PDFLATEX NO)
    set(DOXYGEN_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/apidoc)

    if(BUILD_QCH AND QHELPGENERATOR_EXECUTABLE)
        set(DOXYGEN_GENERATE_QHP YES)
        set(DOXYGEN_QCH_FILE ${CMAKE_BINARY_DIR}/umbrello.qch)
        set(DOXYGEN_QHP_NAMESPACE org.kde.umbrello)
        set(DOXYGEN_QHG_LOCATION ${QHELPGENERATOR_EXECUTABLE})
        set(DOXYGEN_QHP_VIRTUAL_FOLDER doc)
        install(FILES ${DOXYGEN_QCH_FILE} DESTINATION ${QTQCHDIR} COMPONENT Devel)
    endif()

    doxygen_add_docs(apidoc
        ALL
        ${CMAKE_SOURCE_DIR}
        COMMENT "generating api doc"
    )

    install(DIRECTORY ${CMAKE_BINARY_DIR}/apidoc DESTINATION ${UMBRELLO_DATA_INSTALL_DIR})
endif()

if(LIBXSLT_FOUND AND LIBXML2_FOUND)
    add_subdirectory(umbrello)
    add_subdirectory(doc)
    add_subdirectory(tools)
endif(LIBXSLT_FOUND AND LIBXML2_FOUND)

add_subdirectory(maintainer)

# for automatic unit tests
if(BUILD_UNITTESTS)
    ecm_optional_add_subdirectory(unittests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== unittests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(SRC_PATH ../umbrello)

include_directories(
      ${LIBXML2_INCLUDE_DIR}
      ${LIBXSLT_INCLUDE_DIR}
      ${CMAKE_SOURCE_DIR}
      ${SRC_PATH}
      ${SRC_PATH}/debug/
      ${SRC_PATH}/dialogs/
      ${SRC_PATH}/dialogs/pages
      ${SRC_PATH}/dialogs/widgets
      ${SRC_PATH}/clipboard
      ${SRC_PATH}/cmds
      ${SRC_PATH}/codegenerators
      ${SRC_PATH}/codegenerators/ada/
      ${SRC_PATH}/codegenerators/as/
      ${SRC_PATH}/codegenerators/cpp/
      ${SRC_PATH}/codegenerators/csharp/
      ${SRC_PATH}/codegenerators/d/
      ${SRC_PATH}/codegenerators/idl/
      ${SRC_PATH}/codegenerators/java/
      ${SRC_PATH}/codegenerators/js/
      ${SRC_PATH}/codegenerators/pascal/
      ${SRC_PATH}/codegenerators/perl/
      ${SRC_PATH}/codegenerators/php/
      ${SRC_PATH}/codegenerators/python/
      ${SRC_PATH}/codegenerators/ruby/
      ${SRC_PATH}/codegenerators/sql/
      ${SRC_PATH}/codegenerators/tcl/
      ${SRC_PATH}/codegenerators/vala/
      ${SRC_PATH}/codegenerators/xml/
      ${SRC_PATH}/codegenwizard
      ${SRC_PATH}/codeimport
      ${SRC_PATH}/debug
      ${SRC_PATH}/dialogs
      ${SRC_PATH}/docgenerators
      ${SRC_PATH}/menus/
      ${SRC_PATH}/refactoring
      ${SRC_PATH}/umlmodel/
      ${SRC_PATH}/umlwidgets/
      ${CMAKE_CURRENT_BINARY_DIR}
)

if(NOT BUILD_KF5)
    set(LIBS
        Qt4::QtCore
        Qt4::QtGui
        Qt4::QtXml
        Qt4::QtTest
        Qt4::QtWebKit
        ${KDE4_KFILE_LIBS}
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        libumbrello
    )
else()
    set(LIBS
        Qt5::Xml
        Qt5::Test
        Qt5::Widgets
        KF5::I18n
        KF5::Crash
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        libumbrello
    )
    if(WEBKIT_WELCOMEPAGE)
        list(APPEND LIBS Qt5::WebKitWidgets)
    endif()
endif()

ecm_add_test(
    testbasictypes.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testbasictypes
)

ecm_add_test(
    testumlobject.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testumlobject
)

ecm_add_test(
    testassociation.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testassociation
)

ecm_add_test(
    testclassifier.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testclassifier
)

ecm_add_test(
    testpackage.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testpackage
)

ecm_add_test(
    testcppwriter.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testcppwriter
)

ecm_add_test(
    testpythonwriter.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testpythonwriter
)

ecm_add_test(
    testoptionstate.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testoptionstate
)

ecm_add_test(
    testumlcanvasobject.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testumlcanvasobject
)

ecm_add_test(
    testpreconditionwidget.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testpreconditionwidget
)

ecm_add_test(
    testwidgetbase.cpp
    testbase.cpp
    LINK_LIBRARIES ${LIBS}
    TEST_NAME testwidgetbase
)

set(testumlroledialog_SRCS
    testumlroledialog.cpp
)

add_executable(testumlroledialog ${testumlroledialog_SRCS})
target_link_libraries(testumlroledialog ${LIBS})

add_executable(testcrashhandler testcrashhandler.cpp)
target_link_libraries(testcrashhandler ${LIBS})

add_executable(testlistpopupmenu testlistpopupmenu.cpp testbase.cpp)
target_link_libraries(testlistpopupmenu ${LIBS})

find_package(LLVM CONFIG)
find_package(Clang CONFIG)
if(NOT Clang_FOUND)
    find_package(CLANG QUIET)
endif()
if(LLVM_FOUND AND (Clang_FOUND OR CLANG_FOUND))
    message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
    message(STATUS "Using LLVMConfig.cmake in: ${LLVM_DIR}")

    message(STATUS "Found CLANG ${CLANG_PACKAGE_VERSION}")
    if(LLVM_PACKAGE_VERSION VERSION_LESS "9.0.0")
        set(ENABLE_LLVM_TESTCASES 1)
    endif()
endif()
if(ENABLE_LLVM_TESTCASES AND (NOT WIN32))
    include_directories(${LLVM_INCLUDE_DIRS})
    add_definitions(${LLVM_DEFINITIONS})

    include_directories(${CLANG_INCLUDE_DIRS})
    add_definitions(${CLANG_DEFINITIONS})

    # Now build our tools
    add_executable(testllvm testllvm.cpp)

    # Find the libraries that correspond to the LLVM components
    # that we wish to use
    if(LLVM_PACKAGE_VERSION VERSION_GREATER_EQUAL "7.0.0")
        set(llvm_libs LLVM)
    else()
        llvm_map_components_to_libnames(llvm_libs support core irreader analysis)
    endif()

    # Link against LLVM libraries
    target_link_libraries(testllvm ${llvm_libs} clangFrontend clangTooling clangBasic clangSerialization)

    add_executable(testllvmparser testllvmparser.cpp)
    if(LLVM_PACKAGE_VERSION VERSION_LESS "7.0.0")
        llvm_map_components_to_libnames(llvm_libs support)
    endif()
    target_link_libraries(testllvmparser ${llvm_libs} clangFrontend clangTooling clangAST clangBasic clangSerialization ${LIBS})
    ecm_mark_nongui_executable(testllvm testllvmparser)
endif()

add_custom_target(check COMMAND ${CMAKE_BUILD_TOOL} test)

=== umbrello/codeimport/CMakeLists.txt ===
include_directories(
    ..
    ../codegenerators
    ../codeimpwizard
    ../debug
    ../umlmodel
    ../umlwidgets
    ../dialogs
    ../dialogs
    ../../lib/cppparser/
    ../../lib/interfaces/
)

set(libcodeimport_SRCS
    adaimport.cpp
    classimport.cpp
    cppimport.cpp
    csvalaimportbase.cpp
    idlimport.cpp
    import_utils.cpp
    javaimport.cpp
    nativeimportbase.cpp
    pascalimport.cpp
    pythonimport.cpp
    sqlimport.cpp
    csharp/csharpimport.cpp
    vala/valaimport.cpp
)

if(BUILD_PHP_IMPORT)
    list(APPEND libcodeimport_SRCS
        phpimport.cpp
    )
endif()

set(libkdevcppparser_SRCS
    ${CMAKE_SOURCE_DIR}/lib/cppparser/ast.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/ast_utils.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/cachemanager.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/driver.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/errors.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lexer.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lexercache.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/lookup.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/parser.cpp
    ${CMAKE_SOURCE_DIR}/lib/cppparser/tree_parser.cpp
    ${CMAKE_SOURCE_DIR}/lib/interfaces/hashedstring.cpp
    kdevcppparser/cpptree2uml.cpp
)

add_library(codeimport STATIC ${libcodeimport_SRCS} ${libkdevcppparser_SRCS})
if(NOT BUILD_KF5)
    if(BUILD_PHP_IMPORT)
        target_link_libraries(codeimport
            ${KDEVPLATFORM_INTERFACES_LIBRARIES}
            ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
            ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
            ${KDEVPLATFORM_PROJECT_LIBRARIES}
            ${KDEVPLATFORM_SUBLIME_LIBRARIES}
            ${KDEVPLATFORM_SHELL_LIBRARIES}
            ${KDEVPLATFORM_UTIL_LIBRARIES}
            ${KDEVPLATFORM_VCS_LIBRARIES}
            ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
            ${KDEVPLATFORM_DOCUMENTATION_LIBRARIES}
            ${KDEVPLATFORM_TESTS_LIBRARIES}
            ${KDEVPLATFORM_JSONTESTS_LIBRARIES}
            kdev4phpparser
        )
    endif()
else()
    target_link_libraries(codeimport
        KF5::KDELibs4Support
    )
    if(BUILD_PHP_IMPORT)
        target_link_libraries(codeimport
            KDev::Interfaces
            KDev::Language
            KDev::Tests
            kdevphpparser
        )
    endif()
endif()

target_include_directories(codeimport
    PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/csharp
    ${CMAKE_CURRENT_SOURCE_DIR}/vala
)

=== debian/changelog ===
umbrello (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:08 +0100

umbrello (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:46 +0100

umbrello (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Make the test suite non-fatal on mipsel, and powerpc:
    - on mipsel it started to fail recently, and I cannot reproduce the failure
      on the porterbox
    - on powerpc it has been always failing since the test suite was enabled

 -- Pino Toscano <pino@debian.org>  Mon, 26 Dec 2022 10:44:22 +0100

umbrello (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update standards version to 4.6.2, no changes needed.
  * Bump the umbrello-data suggests in umbrello to a dependency, as umbrello
    needs its data to work.
  * Remove the unused ${shlibs:Depends} substvar in umbrello-data.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Move the metainfo file back to the umbrello binary, next to the executable
    it refers to
    - add proper breaks/replaces
  * Remove super-pedantic lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2022 19:48:01 +0100

umbrello (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Drop kde-l10n migration rules, not needed anymore.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, extra-cmake-modules,
      libqt5svg5-dev, libqt5webkit5-dev, pkg-kde-tools and qtbase5-dev.

  [ Scarlett Moore ]
  * New upstream release (22.12.0).
  * Add myself to uploaders.
  * Redo very outdated copyright file.
    - Add override for spelling error on author.
    - Fix License name for LGPL-2-or-later.
    - Fix lintian errors and remove extra glob, fix doc author year.
    and update debian/ year.
  * Refresh lintian overrides.
  * Split out arch independent usr/share files to umbrello-data package.
    - Refresh debian rules override to remove unused translations.
    - Refresh install files.
    - Split lintian overrides into respective files.
  * Add find statement to rules override to remove any empty directories after
    removing unused translations.
  * Bump standards version to 4.6.1, no changes needed.
  * Add Breaks/Replaces to new data package.
  * Add lintian override for very long line in source as these are docs and
    template files.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Dec 2022 06:32:22 -0700

umbrello (4:21.08.0-1) unstable; urgency=medium
  [ Norbert Preining ]
  * New upstream release (21.04.2).
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:42:21 +0900

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.8~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.1.0~),
               gettext,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.2.0~),
               libqt5webkit5-dev (>= 5.2.0~),
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git

Package: umbrello
Architecture: any
Section: devel
Depends: kinit,
         umbrello-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Breaks: umbrello-data (<< 4:22.12.0-2~),
Replaces: umbrello-data (<< 4:22.12.0-2~),
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

Package: umbrello-data
Architecture: all
Section: devel
Depends: ${misc:Depends},
Breaks: umbrello (<< 4:22.12.0~),
Replaces: umbrello (<< 4:22.12.0~),
Description: Umbrello shared files
 Arch independent shared data files needed by Umbrello.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

testsuite_failing_archs := mipsel powerpc
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_KF5=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test $(fail_param)

execute_after_dh_auto_install:
	# drop translations of unbuilt components
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/umbrello_kdevphp.mo
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/umbrello_kdevphp5.mo
	find debian/tmp/usr/share/locale/*/LC_MESSAGES -type d -empty -delete
	find debian/tmp/usr/share/locale/* -type d -empty -delete

## umbrello 23.08.1

=== debian/changelog ===
umbrello (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:38 +0100

umbrello (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:30 +0100

umbrello (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:54 +0100

umbrello (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:42 +0100

umbrello (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Adjust debian/rules to not remove umbrello_kdevphp.mo, that file
    doesn't exist anymore
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:04:21 +0100

umbrello (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:34 +0000

umbrello (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:32:03 -0600

umbrello (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Kubuntu Vcs and maintaner fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:43 +0000

## umbrello 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 
 project(umbrello)
 
@@ -11,12 +11,12 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 
 set(UMBRELLO_VERSION_MAJOR "2")
-set(UMBRELLO_VERSION_MINOR "37")
+set(UMBRELLO_VERSION_MINOR "38")
 if (RELEASE_SERVICE_VERSION_MICRO GREATER_EQUAL 70)
     math(EXPR UMBRELLO_VERSION_MINOR "${UMBRELLO_VERSION_MINOR}-1")
 endif()
@@ -30,8 +30,6 @@
 option(BUILD_CURSOR_ICONS "Create cursor icons from svg source" OFF)
 
 option(BUILD_ICONS_INTO_SIZE_RELATED_DIRS "place icons into separate directories (for debugging purpose)" OFF)
-
-option(BUILD_KF5 "Build for KDE Frameworks 5" ON)
 
 option(BUILD_PHP_IMPORT "Build with php import support" ON)
 
@@ -49,48 +47,32 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
 endif()
 
-if(NOT BUILD_KF5)
-    if(CMAKE_COMPILER_IS_GNUCXX)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-    endif()
-
-    set(APP_SUFFIX)
-    set(LIB_PREFIX Qt4::Qt)
-    set(CMAKE_AUTOMOC ON)
-    set(CMAKE_INCLUDE_CURRENT_DIR ON)
-    include(ECMKDE4Macros)
-    set(QT_MIN_VERSION "4.8.0")
-    set(KDEV_MIN_VERSION 1.7.3)
-    set(KDEV_SOURCE_DIR lib/kdev4-php)
-    set(KDEV_COMPONENTS)
-    set(QTQCHDIR ${QT_DOC_DIR}/qch)
-else()
-    cmake_minimum_required(VERSION 3.8 FATAL_ERROR)
-    set(CMAKE_CXX_STANDARD 17)
-    set(CMAKE_CXX_STANDARD_REQUIRED YES)
-
-    set(APP_SUFFIX 5)
-    set(LIB_PREFIX Qt5::)
-    # we need some parts of the ECM CMake helpers
-    find_package(ECM 1.1.0 REQUIRED NO_MODULE)
-    list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-
-    include(KDEInstallDirs)
-    include(KDECompilerSettings NO_POLICY_SCOPE)
-    include(KDECMakeSettings)
-    include(FeatureSummary)
-    include(ECMInstallIcons)
-    include(ECMSetupVersion)
-    include(ECMOptionalAddSubdirectory)
-    include(ECMAddAppIcon)
-    include(ECMAddTests)
-    set(QT_MIN_VERSION "5.2.0")
-    set(KDEV_MIN_VERSION 5.1.2)
-    set(KDEV_SOURCE_DIR lib/kdev5-php)
-    set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
-    if(NOT QTQCHDIR)
-        set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
-    endif()
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED YES)
+
+set(APP_SUFFIX 5)
+set(LIB_PREFIX Qt5::)
+set(KF5_MIN_VERSION "5.2.0")
+# we need some parts of the ECM CMake helpers
+find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
+
+list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDECMakeSettings)
+include(FeatureSummary)
+include(ECMInstallIcons)
+include(ECMSetupVersion)
+include(ECMOptionalAddSubdirectory)
+include(ECMAddAppIcon)
+include(ECMAddTests)
+set(QT_MIN_VERSION "5.2.0")
+set(KDEV_MIN_VERSION 5.1.2)
+set(KDEV_SOURCE_DIR lib/kdev5-php)
+set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
+if(NOT QTQCHDIR)
+    set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
 endif()
 
 # search packages used by Qt
@@ -103,12 +85,6 @@
     Widgets
     Xml
 )
-
-find_package(Qt5WebKitWidgets ${QT_MIN_VERSION})
-if(Qt5WebKitWidgets_FOUND)
-    add_definitions(-DWEBKIT_WELCOMEPAGE)
-    set(WEBKIT_WELCOMEPAGE 1)
-endif()
 
 # search packages used by KDE
 find_package(KF5 REQUIRED COMPONENTS
@@ -120,7 +96,6 @@
     DocTools
     I18n
     IconThemes
-    KDELibs4Support
     KIO
     TextEditor
     WidgetsAddons
@@ -167,15 +142,10 @@
 
 set(UMBRELLO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/umbrello${APP_SUFFIX})
 
-if(NOT BUILD_KF5)
-    macro_display_feature_log()
-    KDE4_NO_ENABLE_FINAL(umbrello)
-else()
-    set(BUILD_UNITTESTS 1)
-
-    ki18n_install(po)
-    kdoctools_install(po)
-endif()
+set(BUILD_UNITTESTS 1)
+
+ki18n_install(po)
+kdoctools_install(po)
 
 if(POLICY CMP0071)
   cmake_policy(SET CMP0071 OLD)
@@ -211,7 +181,6 @@
 
 message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
 message(STATUS "Using cmake version ${CMAKE_VERSION}")
-message(STATUS "Using Qt version ${QTVERSION}")
 
 find_package(LibXslt)
 set_package_properties(LibXslt PROPERTIES

=== maintainer/CMakeLists.txt ===
# to regenerate icons
if(BUILD_ICONS OR BUILD_CURSOR_ICONS)
    set(svg2png_SRCS svg2png.cpp)
    add_executable(svg2png ${svg2png_SRCS})
    target_link_libraries(svg2png ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY})
endif()

=== umbrello/CMakeLists.txt ===
add_subdirectory( codeimport )
add_subdirectory( headings )
add_subdirectory(docgenerators)

if(ENABLE_OBJECT_DIAGRAM)
    set(ACTION_NEW_OBJECT_DIAGRAM "<Action name=\"new_object_diagram\"/>")
endif()
configure_file(umbrelloui.rc.cmake ${CMAKE_CURRENT_BINARY_DIR}/umbrelloui.rc @ONLY)
configure_file(ui.qrc.cmake ${CMAKE_CURRENT_BINARY_DIR}/ui.qrc @ONLY)

########### set variables #############

# Some definitions for experimental code or debugging
# TODO migrate debug settings to DEBUG_REGISTER macro
#add_definitions(-DXMI_FLAT_PACKAGES)             # umlobject
#add_definitions(-DDEBUG_LVITEM_INSERTION_ORDER)  # umllistviewitem
#add_definitions(-DTRY_BUGFIX_120682)             # model_utils
#add_definitions(-DVERBOSE_DEBUGGING)             # listpopupmenu, association, petaltree2uml,
                                                  # umlobject, umldoc, classifierlistpage
if(UNIX)
    add_definitions(-D_GLIBCXX_PERMIT_BACKWARD_HASH)
endif()

add_definitions(-DCMAKE_BINARY_DIR="${CMAKE_BINARY_DIR}")
add_definitions(-DDOCGENERATORS_DIR="${CMAKE_SOURCE_DIR}/umbrello/docgenerators")
add_definitions(-DUMBRELLOUI_RC="${CMAKE_CURRENT_BINARY_DIR}/umbrelloui.rc")

include_directories(
  ${LIBXML2_INCLUDE_DIR}
  ${LIBXSLT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/
  ${CMAKE_CURRENT_SOURCE_DIR}/clipboard/
  ${CMAKE_CURRENT_SOURCE_DIR}/cmds
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ada/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/as/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/csharp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/idl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/js/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/pascal/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/perl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/php/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/python/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/sql/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/tcl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/vala/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/xml/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/debug/
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/pages/
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/widgets/
  ${CMAKE_CURRENT_SOURCE_DIR}/docgenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/finder/
  ${CMAKE_CURRENT_SOURCE_DIR}/refactoring/
  ${CMAKE_CURRENT_SOURCE_DIR}/umlmodel/
  ${CMAKE_CURRENT_SOURCE_DIR}/umlwidgets/
  ${CMAKE_CURRENT_SOURCE_DIR}/menus
  ${CMAKE_SOURCE_DIR}/lib/cppparser/
  ${CMAKE_SOURCE_DIR}/lib/interfaces/
)

set(libdebug_SRCS
    debug/debug_utils.cpp
)

set(libcodegenerator_SRCS
    codegenerators/advancedcodegenerator.cpp
    codegenerators/classifiercodedocument.cpp
    codegenerators/codeaccessormethod.cpp
    codegenerators/codeblock.cpp
    codegenerators/codeblockwithcomments.cpp
    codegenerators/codeclassfield.cpp
    codegenerators/codeclassfielddeclarationblock.cpp
    codegenerators/codecomment.cpp
    codegenerators/codedocument.cpp
    codegenerators/codegenerationpolicy.cpp
    codegenerators/codegenerator.cpp
    codegenerators/codegenfactory.cpp
    codegenerators/codegenobjectwithtextblocks.cpp
    codegenerators/codegenpolicyext.cpp
    codegenerators/codegen_utils.cpp
    codegenerators/codemethodblock.cpp
    codegenerators/codeoperation.cpp
    codegenerators/codeparameter.cpp
    codegenerators/ada/adawriter.cpp
    codegenerators/as/aswriter.cpp
    codegenerators/cpp/cppcodeclassfield.cpp
    codegenerators/cpp/cppcodecomment.cpp
    codegenerators/cpp/cppcodedocumentation.cpp
    codegenerators/cpp/cppcodegenerationform.cpp
    codegenerators/cpp/cppcodegenerationpolicy.cpp
    codegenerators/cpp/cppcodegenerationpolicypage.cpp
    codegenerators/cpp/cppcodegenerator.cpp
    codegenerators/cpp/cppheaderclassdeclarationblock.cpp
    codegenerators/cpp/cppheadercodeaccessormethod.cpp
    codegenerators/cpp/cppheadercodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppheadercodedocument.cpp
    codegenerators/cpp/cppheadercodeoperation.cpp
    codegenerators/cpp/cppmakecodedocument.cpp
    codegenerators/cpp/cppsourcecodeaccessormethod.cpp
    codegenerators/cpp/cppsourcecodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppsourcecodedocument.cpp
    codegenerators/cpp/cppsourcecodeoperation.cpp
    codegenerators/cpp/cppwriter.cpp
    codegenerators/csharp/csharpwriter.cpp
    codegenerators/d/dclassdeclarationblock.cpp
    codegenerators/d/dclassifiercodedocument.cpp
    codegenerators/d/dcodeaccessormethod.cpp
    codegenerators/d/dcodeclassfield.cpp
    codegenerators/d/dcodeclassfielddeclarationblock.cpp
    codegenerators/d/dcodecomment.cpp
    codegenerators/d/dcodedocumentation.cpp
    codegenerators/d/dcodegenerationpolicy.cpp
    codegenerators/d/dcodegenerationpolicypage.cpp
    codegenerators/d/dcodegenerator.cpp
    codegenerators/d/dcodeoperation.cpp
    codegenerators/d/dwriter.cpp
    codegenerators/hierarchicalcodeblock.cpp
    codegenerators/idl/idlwriter.cpp
    codegenerators/java/javaantcodedocument.cpp
    codegenerators/java/javaclassdeclarationblock.cpp
    codegenerators/java/javaclassifiercodedocument.cpp
    codegenerators/java/javacodeaccessormethod.cpp
    codegenerators/java/javacodeclassfield.cpp
    codegenerators/java/javacodeclassfielddeclarationblock.cpp
    codegenerators/java/javacodecomment.cpp
    codegenerators/java/javacodedocumentation.cpp
    codegenerators/java/javacodegenerationpolicy.cpp
    codegenerators/java/javacodegenerationpolicypage.cpp
    codegenerators/java/javacodegenerator.cpp
    codegenerators/java/javacodeoperation.cpp
    codegenerators/java/javawriter.cpp
    codegenerators/js/jswriter.cpp
    codegenerators/ownedcodeblock.cpp
    codegenerators/ownedhierarchicalcodeblock.cpp
    codegenerators/pascal/pascalwriter.cpp
    codegenerators/perl/perlwriter.cpp
    codegenerators/php/php5writer.cpp
    codegenerators/php/phpwriter.cpp
    codegenerators/python/pythonwriter.cpp
    codegenerators/ruby/rubyclassdeclarationblock.cpp
    codegenerators/ruby/rubyclassifiercodedocument.cpp
    codegenerators/ruby/rubycodeaccessormethod.cpp
    codegenerators/ruby/rubycodeclassfield.cpp
    codegenerators/ruby/rubycodeclassfielddeclarationblock.cpp
    codegenerators/ruby/rubycodecomment.cpp
    codegenerators/ruby/rubycodedocumentation.cpp
    codegenerators/ruby/rubycodegenerationpolicy.cpp
    codegenerators/ruby/rubycodegenerationpolicypage.cpp
    codegenerators/ruby/rubycodegenerator.cpp
    codegenerators/ruby/rubycodeoperation.cpp
    codegenerators/ruby/rubywriter.cpp
    codegenerators/simplecodegenerator.cpp
    codegenerators/sql/mysqlwriter.cpp
    codegenerators/sql/postgresqlwriter.cpp
    codegenerators/sql/sqlwriter.cpp
    codegenerators/tcl/tclwriter.cpp
    codegenerators/textblock.cpp
    codegenerators/vala/valawriter.cpp
    codegenerators/xml/xmlcodecomment.cpp
    codegenerators/xml/xmlelementcodeblock.cpp
    codegenerators/xml/xmlschemawriter.cpp
)

ki18n_wrap_ui(  libcodegenerator_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/cppcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/dcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/javacodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/rubycodegenerationformbase.ui
)

set(libdocgenerator_SRCS
    docgenerators/docbook2xhtmlgeneratorjob.cpp
    docgenerators/docbookgenerator.cpp
    docgenerators/docbookgeneratorjob.cpp
    docgenerators/xhtmlgenerator.cpp
)

set(libdialogs_SRCS
    dialogs/activitydialog.cpp
    dialogs/associationpropertiesdialog.cpp
    dialogs/classpropertiesdialog.cpp
    dialogs/classwizard.cpp
    dialogs/codeeditor.cpp
    dialogs/codetextedit.cpp
    dialogs/codetexthighlighter.cpp
    dialogs/codeviewerdialog.cpp
    dialogs/diagramselectiondialog.cpp
    dialogs/dialog_utils.cpp
    dialogs/dontaskagain.cpp
    dialogs/exportallviewsdialog.cpp
    dialogs/finddialog.cpp
    dialogs/messagewidgetpropertiesdialog.cpp
    dialogs/multipagedialogbase.cpp
    dialogs/notedialog.cpp
    dialogs/objectnodedialog.cpp
    dialogs/overwritedialog.cpp
    dialogs/parameterpropertiesdialog.cpp
    dialogs/selectdiagramdialog.cpp
    dialogs/selectoperationdialog.cpp
    dialogs/settingsdialog.cpp
    dialogs/singlepagedialogbase.cpp
    dialogs/statedialog.cpp
    dialogs/stereoattributedialog.cpp
    dialogs/umlattributedialog.cpp
    dialogs/umlinstanceattributedialog.cpp
    dialogs/umlcheckconstraintdialog.cpp
    dialogs/umlentityattributedialog.cpp
    dialogs/umlenumliteraldialog.cpp
    dialogs/umlfiledialog.cpp
    dialogs/umlforeignkeyconstraintdialog.cpp
    dialogs/umloperationdialog.cpp
    dialogs/umlroledialog.cpp
    dialogs/umltemplatedialog.cpp
    dialogs/umluniqueconstraintdialog.cpp
    dialogs/umlviewdialog.cpp
    dialogs/pages/activitypage.cpp
    dialogs/pages/notepage.cpp
    dialogs/pages/associationgeneralpage.cpp
    dialogs/pages/associationrolepage.cpp
    dialogs/pages/autolayoutoptionpage.cpp
    dialogs/pages/classassociationspage.cpp
    dialogs/pages/classgeneralpage.cpp
    dialogs/pages/classifierlistpage.cpp
    dialogs/pages/classoptionspage.cpp
    dialogs/pages/codegenerationpolicypage.cpp
    dialogs/pages/codeimportoptionspage.cpp
    dialogs/pages/codevieweroptionspage.cpp
    dialogs/pages/constraintlistpage.cpp
    dialogs/pages/defaultcodegenpolicypage.cpp
    dialogs/pages/diagramprintpage.cpp
    dialogs/pages/diagrampropertiespage.cpp
    dialogs/pages/dialogpagebase.cpp
    dialogs/pages/generaloptionpage.cpp
    dialogs/pages/packagecontentspage.cpp
    dialogs/pages/selectoperationpage.cpp
    dialogs/pages/uioptionspage.cpp
    dialogs/pages/umlroleproperties.cpp
    dialogs/pages/umlwidgetstylepage.cpp
    dialogs/widgets/comboboxwidgetbase.cpp
    dialogs/widgets/documentationwidget.cpp
    dialogs/widgets/imagetypewidget.cpp
    dialogs/widgets/resolutionwidget.cpp
    dialogs/widgets/selectdiagramwidget.cpp
    dialogs/widgets/selectlayouttypewidget.cpp
    dialogs/widgets/umlartifacttypewidget.cpp
    dialogs/widgets/umldatatypewidget.cpp
    dialogs/widgets/defaultvaluewidget.cpp
    dialogs/widgets/umlobjectnamewidget.cpp
    dialogs/widgets/umlpackagewidget.cpp
    dialogs/widgets/umlstereotypewidget.cpp
    dialogs/widgets/visibilityenumwidget.cpp
)

ki18n_wrap_ui(  libdialogs_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codeviewerdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codevieweroptionsbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/exportallviewsdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/finddialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/pages/autolayoutoptionpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/pages/codeimportoptionspage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/pages/diagrampropertiespage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/pages/umlrolepropertiesbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/umlinstanceattributedialog.ui
)

set(librefactoring_SRCS
    refactoring/refactoringassistant.cpp
)

set(libcodegenwizard_SRCS
    codegenwizard/codegenerationwizard.cpp
    codegenwizard/codegenoptionspage.cpp
    codegenwizard/codegenselectpage.cpp
    codegenwizard/codegenstatuspage.cpp
)

ki18n_wrap_ui(  libcodegenwizard_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenoptionspage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenselectpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenstatuspage.ui
)

set(libcodeimpwizard_SRCS
    codeimpwizard/codeimportingwizard.cpp
    codeimpwizard/codeimpselectpage.cpp
    codeimpwizard/codeimpstatuspage.cpp
    codeimpwizard/codeimpthread.cpp
)

=== umbrello/pics/global/CMakeLists.txt ===
ecm_install_icons(
    ICONS 16-apps-umbrello.png
          16-mimetypes-application-x-uml.png
          22-apps-umbrello.png
          32-apps-umbrello.png
          32-mimetypes-application-x-uml.png
          48-apps-umbrello.png
          64-apps-umbrello.png
          128-apps-umbrello.png
          sc-apps-umbrello.svgz
    THEME hicolor
    DESTINATION ${ICON_INSTALL_DIR}
)

=== debian/changelog ===
umbrello (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:48 +1100

umbrello (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:25:01 +0000

umbrello (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:34:34 -0700

umbrello (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:49 +0000

umbrello (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:16 +0000

umbrello (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: umbrello
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.8~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.1.0~),
+               extra-cmake-modules,
                gettext,
                libkf5archive-dev,
                libkf5completion-dev,
@@ -25,28 +26,25 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libqt5svg5-dev (>= 5.2.0~),
-               libqt5webkit5-dev (>= 5.2.0~),
+               libqt5svg5-dev,
+               libqt5webkit5-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.0~),
+               qtbase5-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
 
 Package: umbrello
 Architecture: any
 Section: devel
-Depends: kinit,
-         umbrello-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: kinit, umbrello-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
 Suggests: khelpcenter,
 Breaks: umbrello-data (<< 4:22.12.0-2~),
 Replaces: umbrello-data (<< 4:22.12.0-2~),
@@ -62,8 +60,8 @@
 Architecture: all
 Section: devel
 Depends: ${misc:Depends},
-Breaks: umbrello (<< 4:22.12.0~),
-Replaces: umbrello (<< 4:22.12.0~),
+Breaks: umbrello (<< 4:22.12.0~)
+Replaces: umbrello (<< 4:22.12.0~)
 Description: Umbrello shared files
  Arch independent shared data files needed by Umbrello.
  .

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 execute_after_dh_auto_install:
 	# drop translations of unbuilt components
-	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/umbrello_kdevphp.mo
 	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/umbrello_kdevphp5.mo
 	find debian/tmp/usr/share/locale/*/LC_MESSAGES -type d -empty -delete
 	find debian/tmp/usr/share/locale/* -type d -empty -delete
